/* spk_priv.h
 * review functions for the speakup screen review package.
 * originally written by: Kirk Reiser and Andy Berdan.
 *
 * extensively modified by David Borowski.
 *
 * Copyright (C) 1998  Kirk Reiser.
 * Copyright (C) 2003  David Borowski.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SPEAKUP_KEYINFO_H
#define _SPEAKUP_KEYINFO_H

#define FIRST_SYNTH_VAR RATE
enum {
	SPEECH_KILL = 1, SPEAKUP_QUIET, SPK_LOCK,
	SPEAKUP_HELP, SAY_FIRST_CHAR, SAY_LAST_CHAR,
	SAY_CHAR, SAY_PREV_CHAR, SAY_NEXT_CHAR,
	SAY_CHAR_ABOVE, SAY_CHAR_BELOW,
	SAY_WORD, SAY_PREV_WORD, SAY_NEXT_WORD,
	SAY_WORD_ABOVE, SAY_WORD_BELOW,
	SAY_LINE, SAY_PREV_LINE, SAY_NEXT_LINE,
	SAY_LINE_NC, SAY_PREV_LINE_NC, SAY_NEXT_LINE_NC,
	TOP_EDGE, BOTTOM_EDGE, LEFT_EDGE, RIGHT_EDGE,
	SPELL_PHONETIC, SPELL_WORD, WORD_END,
	SAY_SCREEN, SAY_POSITION, SAY_ATTRIBUTES,
	SPEAKUP_OFF, SPEAKUP_PARKED, SAY_LINE_INDENT,
	SAY_FROM_TOP, SAY_TO_BOTTOM, SAY_FROM_LEFT, SAY_TO_RIGHT,
	SAY_CHAR_NUM, SAY_PHONETIC_CHAR, EDIT_SOME, EDIT_MOST,
	EDIT_DELIM, EDIT_REPEAT, EDIT_EXNUM,
	SET_WIN, CLEAR_WIN, SET_WIN_HEADER,
	ENABLE_WIN, SAY_WIN, SET_VAR, ROUTE_CURSOR,
	TOGGLE_COLUMN, TOGGLE_CURSORING, TOGGLE_INDENT, TOGGLE_MULTI,
	CURSOR_OFF, CURSOR_ON, CURSOR_SMART,
	CURSOR_HIGHLIGHT, CURSOR_WIN,
	READ_ALL, READ_ALL_LINE,
	CUT, CUT1, CUT2, CUT3,
	PASTE, PASTE1, PASTE2, PASTE3,
	PASTE_READ, PASTE_READ1, PASTE_READ2, PASTE_READ3,
	SET_VARS, GOTO, SAY_LINE_COLUMN,
	 FIND_PREV, FIND_NEXT, FIND_UP, FIND_DOWN,
	ATTRIB_BLEEP_DEC, ATTRIB_BLEEP_INC,
	BLEEPS_DEC, BLEEPS_INC,
	SPELL_DELAY_DEC, SPELL_DELAY_INC,
	PUNC_LEVEL_DEC, PUNC_LEVEL_INC,
	READING_PUNC_DEC, READING_PUNC_INC,
	RATE_DEC, RATE_INC,
	VOICE_DEC, VOICE_INC,
	PITCH_DEC, PITCH_INC,
	VOL_DEC, VOL_INC,
	TONE_DEC, TONE_INC,
	PUNCT_DEC, PUNCT_INC,
	LANG_DEC, LANG_INC,
	FREQUENCY_DEC, FREQUENCY_INC,
	SPK_KEY, CURSOR_CHECK
};

#define SPKUP_MAX_KEY CURSOR_CHECK
#define FIRST_SET_VAR ATTRIB_BLEEP
#define FIRST_ADJUST_VAR ATTRIB_BLEEP_DEC
#endif
